<?php
function adt_wow_v2_regions() {
  return array(
    'right' => t('right sidebar'),
    'left' => t('left sidebar'),		
    'content' => t('content'),
    'header' => t('header'),
    'subheader' => t('subheader'),		
    'footer' => t('footer'),						
  );
}
/*
* Initialize theme settings
*/
if (is_null(theme_get_setting('cto_font'))) {  // <-- if settings have never ben set
  global $theme_key;
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the theme-settings.php file.
   */
  $defaults = array(
    'cto_font' => '',
    'cto_inlinesearch' => '',
    'cto_inlinelogin' => '',	
		'cto_dropdown' => 0,										
  );

  // Save theme settings with the defaults
  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge($defaults, theme_get_settings($theme_key))
  );
  // Force refresh of Drupal internals
  theme_get_setting('', TRUE);
}

if (theme_get_setting('cto_dropdown')) {
   drupal_add_js(drupal_get_path('theme', 'D5WoWCTS') . '/ddown.js', 'theme');
}

?>